Marker opacity is not working on a Marker Lines

2018-09-21 11:10 AM - Alexandre Neto

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows and Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27734

Description

When using a marker line, changing the marker's opacity has no consequences on the final symbol. In fact, if you set it to 50% and move

to another setting, if you go back, it will be set to 100% again.

Color opacity works as expected.
Associated revisions

Revision 4022c5fc - 2019-01-25 01:27 PM - Nyall Dawson

Make QgsSymbolLayerUtils::symbolPreview* methods const, and utilise

internal symbol clones

Rendering symbols is a NON-CONST operation, which can permanently

alter the symbol instance (e.g. via changes made by the symbol

or symbol layer's startRender methods.).

This makes debugging super complex - because methods which look

like they are just generating previews of symbols can actually

change the original symbol instances, resulting in permanent changes

to a layer's style.

Refs #19910 (specifically, me pulling my hair out trying to deduce

seemingly random changes to layer's symbols)

History

#1 - 2018-09-21 12:04 PM - João Gaspar

Tested in Windows 7 64-bits with same version have the same behavior.

In QGIS 3.2.0 have the same behavior.

#2 - 2018-10-17 12:27 PM - Alexandre Neto

- Regression? changed from No to Yes

- Operating System changed from Ubuntu 18.04 to Windows and Linux

- Affected QGIS version changed from 3.2.3 to 3.3(master)
Still valid on QGIS 3.3 (a0d46d12c1).

#3 - 2019-01-22 07:20 AM - Nyall Dawson

- Regression? changed from Yes to No

This is not a regression - as far as I can tell it's never behaved that way (tested back a few versions).
